summaryrefslogtreecommitdiffstats
path: root/tests/ts/kill
diff options
context:
space:
mode:
authorRuediger Meier2015-05-09 00:34:12 +0200
committerRuediger Meier2015-06-16 16:22:49 +0200
commit1e2b75611d7a5ca78a576ff06016f85ad8b14c85 (patch)
treed548966f1b69e22bd24eb53ee4ad37e9eee489f2 /tests/ts/kill
parentprocutils: reset errno before readdir (diff)
downloadkernel-qcow2-util-linux-1e2b75611d7a5ca78a576ff06016f85ad8b14c85.tar.gz
kernel-qcow2-util-linux-1e2b75611d7a5ca78a576ff06016f85ad8b14c85.tar.xz
kernel-qcow2-util-linux-1e2b75611d7a5ca78a576ff06016f85ad8b14c85.zip
tests: always kill helper
Signed-off-by: Ruediger Meier <ruediger.meier@ga-group.nl>
Diffstat (limited to 'tests/ts/kill')
-rwxr-xr-xtests/ts/kill/print_pid14
1 files changed, 7 insertions, 7 deletions
diff --git a/tests/ts/kill/print_pid b/tests/ts/kill/print_pid
index 1b3052bb8..c6187f192 100755
--- a/tests/ts/kill/print_pid
+++ b/tests/ts/kill/print_pid
@@ -41,13 +41,13 @@ fi
if [ "x$TEST_PID" != "x$KILL_PID" ]; then
echo "jobs -p $TEST_PID != kill -p $KILL_PID" >> "$TS_OUTPUT"
all_ok=false
-else
- "$TS_CMD_KILL" -1 $TEST_PID
- wait $TEST_PID
- if [ $? -ne 1 ]; then
- echo "wait $TEST_PID returned ${?}" >> "$TS_OUTPUT"
- all_ok=false
- fi
+fi
+
+"$TS_CMD_KILL" -1 $TEST_PID
+wait $TEST_PID
+if [ $? -ne 1 ]; then
+ echo "wait $TEST_PID returned ${?}" >> "$TS_OUTPUT"
+ all_ok=false
fi
if $all_ok; then